cURL
curl --request PATCH \ --url http://dolphinflashcards.com/api/update-quest-progress \ --header 'Content-Type: application/json' \ --data ' { "jwtToken": "<string>", "questId": "<string>", "progress": 123 } '
{ "message": "Progress updated", "quest": { "quest_id": "<string>", "title": "<string>", "deadline": "2023-11-07T05:31:56Z", "quest_type": "<string>", "quest_sub_type": "<string>", "quantity": 123, "progress": 123, "participants": [ { "user_id": "<string>", "status": "<string>", "progress": 123, "isOwner": true, "invited_by": "<string>" } ] } }
Update the progress for the quest and for a user in a quest.
Documentation IndexFetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.dolphinflashcards.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token for authentication.
The ID of the quest.
The amount of progress to add.
Progress updated.
"Progress updated"
Show child attributes